.map-overlay {
  padding-bottom: 6px;
  position: relative;
  width: 280px;
  text-align: center;

  &.zero {
    width: 0;
    height: 0;

    & > * {
      transform: translate(-50%, -50%);
    }
  }

  &.inactive {
    z-index: 0;
  }

  &.active {
    z-index: 999;
  }
  .content {
    display: inline-block;
    vertical-align: bottom;
    border: 0px solid rgb(72, 72, 72);
    border-radius: 0.5rem;
    box-shadow: 0 0.125rem 0.25rem rgba(var(--bs-gray-900-rgb), 0.075);

    &.site-list {
      max-height: 370px;
      overflow: auto;

      .loading {
        width: 280px;
      }

      .btn-zoom {
        position: relative;
        z-index: 100;
      }

      .pending-label {
        padding: 1rem 2rem;
        color: var(--bs-info);
      }

      .site-item-list {
        cursor: pointer;
        padding: 5px;
        border-bottom: 1px solid rgb(var(--bs-gray-300-rgb));

        &:hover {
          background-color: rgb(var(--bs-gray-400-rgb));
        }

        a {
          display: block;
        }

        a:hover {
          text-decoration: none;
        }

        .icons .icon {
          height: 20px;
          min-width: 20px;
          font-size: 0;
        }
      }
    }

    background-color: #fff;

    .card-name {
      text-align: center;
      padding: 16px 6px;
      line-height: 1em;
      a {
        text-decoration: none;
      }

      .name {
        color: rgb(72, 72, 72);
        font-weight: bold;
        text-align: center;
        display: block;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        width: 265px;
      }
    }

    &::after {
      content: ' ';
      width: 12px;
      height: 12px;
      position: absolute;
      border-bottom: 1px solid rgb(209, 209, 209);
      border-right: 1px solid rgb(209, 209, 209);
      background-color: #fff;
      bottom: 0;
      left: calc(50% - 7px);
      transform: rotate(45deg);
    }
  }

  .icons {
    padding: 5px 10px;
    text-align: center;

    .icon {
      height: 30px;
    }
  }

  .gallery {
    position: relative;
    width: 280px;
    max-height: 300px;
    overflow: hidden;

    img {
      width: 100%;
    }
  }

  .small {
    cursor: pointer;
    padding: 4px 4px 5px 4px;

    img {
      display: none;
    }

    & img:first-child {
      display: block;
    }
  }
}
